## dde-wloutput-daemon 1.0.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7)

set(CMAKE_AUTOMOC ON)

FOREACH (this_dir
         src
         test
	)
	ADD_SUBDIRECTORY (${this_dir})
ENDFOREACH (this_dir)

=== src/CMakeLists.txt ===

project(dde-wloutput-daemon)

set(TARGET_NAME dde-wloutput-daemon)
FILE(GLOB SC_FILES "*.cpp" "*.h")

add_executable(${TARGET_NAME} ${SC_FILES})

find_package(KF5Wayland REQUIRED)
# Find the library
find_package(PkgConfig REQUIRED)
find_package(Qt5 COMPONENTS
    Core
    Gui
    DBus
REQUIRED)

target_link_libraries(${TARGET_NAME}  Qt5::Core Qt5::DBus)
target_link_libraries(${TARGET_NAME} KF5::WaylandClient KF5::WaylandServer)

=== test/CMakeLists.txt ===

project(dde-wloutput-daemon-test)

set(TARGET_NAME dde-wloutput-daemon-test)

FILE(GLOB SC_FILES "*.cpp" "*.h")

add_executable(${TARGET_NAME} ${SC_FILES})

find_package(KF5Wayland REQUIRED)
# Find the library
find_package(PkgConfig REQUIRED)
find_package(Qt5 COMPONENTS
    Core
    DBus
REQUIRED)

target_link_libraries(${TARGET_NAME}  Qt5::Core Qt5::DBus)
target_link_libraries(${TARGET_NAME} KF5::WaylandClient KF5::WaylandServer)

=== debian/changelog ===
dde-wloutput-daemon (1.0.3-1) unstable; urgency=medium

  * update

 -- guonafu <guonafu@uniontech.com>  Mon, 21 Feb 2022 11:10:42 +0800

dde-wloutput-daemon (1.0.1-1) unstable; urgency=medium

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- guonafu <guonafu@uniontech.com>  Sat, 29 Feb 2020 21:39:43 +0800

## dde-wloutput-daemon 1.0.5

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,10 @@
 
 project(dde-wloutput-daemon)
+
+# 增加安全编译参数
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fstack-protector-all")
+set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fstack-protector-all")
+set(CMAKE_EXE_LINKER_FLAGS  "-z relro -z now -z noexecstack -pie")
 
 set(TARGET_NAME dde-wloutput-daemon)
 FILE(GLOB SC_FILES "*.cpp" "*.h")

=== debian/changelog ===
dde-wloutput-daemon (1.0.5-1) unstable; urgency=medium

  * update

 -- guonafu <guonafu@uniontech.com>  Sat, 27 Aug 2022 10:35:21 +0800

=== debian/control ===
Source: dde-wloutput-daemon
Section: devel
Priority: optional
Maintainer: guonafu <guonafu@uniontech.com>
Build-Depends: debhelper (>= 11), libkf5wayland-dev, pkg-config, cmake, qtbase5-dev
Standards-Version: 4.1.3
Homepage: http://www.deepin.org/

Package: dde-wloutput-daemon
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: this is dde-wloutput-daemom 
 for wayland

=== debian/rules ===
#!/usr/bin/make -f
export QT_SELECT=5
%:
	dh $@ 

override_dh_auto_clean:
	echo clean

## dde-wloutput-daemon 1.0.6

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -14,11 +14,20 @@
 find_package(KF5Wayland REQUIRED)
 # Find the library
 find_package(PkgConfig REQUIRED)
+pkg_check_modules(DtkCore REQUIRED IMPORTED_TARGET dtkcore)
+find_package(DtkWidget REQUIRED)
 find_package(Qt5 COMPONENTS
     Core
     Gui
     DBus
 REQUIRED)
 
-target_link_libraries(${TARGET_NAME}  Qt5::Core Qt5::DBus)
-target_link_libraries(${TARGET_NAME} KF5::WaylandClient KF5::WaylandServer)
+target_link_libraries(${TARGET_NAME}
+    Qt5::Core
+    Qt5::DBus
+    KF5::WaylandClient
+    KF5::WaylandServer
+    PkgConfig::DtkCore
+)
+
+dconfig_meta_files(APPID org.deepin.dde.wloutput.daemon FILES ../misc/org.deepin.dde.wloutput.daemon.json)

=== debian/changelog ===
dde-wloutput-daemon (1.0.6-1) unstable; urgency=medium

  * update

 -- guonafu <guonafu@uniontech.com>  Tue, 11 Apr 2023 11:04:27 +0800

=== debian/control ===
Source: dde-wloutput-daemon
Section: devel
Priority: optional
Maintainer: guonafu <guonafu@uniontech.com>
Build-Depends:
 debhelper (>= 11),
 libkf5wayland-dev,
 pkg-config,
 cmake,
 qtbase5-dev,
 libdtkwidget-dev,
 libdtkcore-dev
Standards-Version: 4.1.3
Homepage: http://www.deepin.org/

Package: dde-wloutput-daemon
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: this is dde-wloutput-daemon
 for wayland

## dde-wloutput-daemon 2.0.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(dde-wloutput-daemon)

set(CMAKE_AUTOMOC ON)

if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
  set(CMAKE_INSTALL_PREFIX /usr)
endif ()

include(GNUInstallDirs)

configure_file(
  misc/org.deepin.dde.KWayland1.service.in
  org.deepin.dde.KWayland1.service
  @ONLY
)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.deepin.dde.KWayland1.service
        DESTINATION ${CMAKE_INSTALL_DATADIR}/dbus-1/services)

add_subdirectory(src)
add_subdirectory(test)

=== src/CMakeLists.txt ===

set(BIN_NAME dde-wloutput-daemon)

# 增加安全编译参数
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fstack-protector-all")
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fstack-protector-all")
set(CMAKE_EXE_LINKER_FLAGS  "${CMAKE_EXE_LINKER_FLAGS} -z relro -z now -z noexecstack -pie")

set(TARGET_NAME dde-wloutput-daemon)
FILE(GLOB SC_FILES "*.cpp" "*.h")

add_executable(${TARGET_NAME} ${SC_FILES})

# Find the library
find_package(PkgConfig REQUIRED)
find_package(DtkCore REQUIRED)
find_package(Qt5 COMPONENTS
    Core
    Gui
    DBus
    Widgets
REQUIRED)

find_package(ECM REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
find_package(DWayland)

target_link_libraries(${BIN_NAME}
    Qt5::Core
    Qt5::DBus
    Qt5::Widgets
    ${DtkCore_LIBRARIES}
    DWaylandClient
)

install(TARGETS ${BIN_NAME} DESTINATION ${CMAKE_INSTALL_BINDIR})

=== test/CMakeLists.txt ===

project(dde-wloutput-daemon-test)

set(TARGET_NAME dde-wloutput-daemon-test)

FILE(GLOB SC_FILES "*.cpp" "*.h")

add_executable(${TARGET_NAME} ${SC_FILES})

# Find the library
find_package(PkgConfig REQUIRED)
find_package(Qt5 COMPONENTS
    Core
    DBus
REQUIRED)

find_package(ECM REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
find_package(DWayland)

target_link_libraries(${TARGET_NAME} Qt5::Core Qt5::DBus DWaylandClient)

=== debian/changelog ===
dde-wloutput-daemon (2.0.4) unstable; urgency=medium

  * chore: tidyup cmake

 -- chenhongtao <chenhongtao@deepin.org>  Wed, 11 Oct 2023 15:35:26 +0800

dde-wloutput-daemon (2.0.3) unstable; urgency=medium

  [ TagBuilder ]
  * feat: 接口更变，增加V23接口(Task: 207483)(Influence: 接口更变)

 -- zhaoyingzhen <zhaoyingzhen@uniontech.com>  Tue, 13 Dec 2022 19:35:26 +0800

dde-wloutput-daemon (2.0.2.2) unstable; urgency=medium

  * dde-flow-sprint3 .

 -- Tan Feng <tanfeng@uniontech.com>  Fri, 21 Oct 2022 15:35:19 +0800

dde-wloutput-daemon (2.0.2) unstable; urgency=medium

  [ Deepin Packages Builder ]
  * fix: 修复wayland下主屏数据错误的问题(Bug: 149111)(Influence: 控制中心中设置的主屏数据错误)

 -- baodi <baodi@uniontech.com>  Wed, 19 Oct 2022 11:33:51 +0800

dde-wloutput-daemon (2.0.1) unstable; urgency=medium

  * dde-flow-sprint2

 -- Tan Feng <tanfeng@uniontech.com>  Fri, 22 Jul 2022 17:25:14 +0800

dde-wloutput-daemon (2.0.0.1) unstable; urgency=medium

  * update changelog

 -- weizhixiang <weizhixiang@uniontech.com>  Tue, 5 Jul 2022 13:53:19 +0800

dde-wloutput-daemon (2.0.0) unstable; urgency=medium

  * release 2.0.0

 --  <fanpengcheng@uniontech.com>  Tue, 14 Jun 2022 17:23:13 +0800

=== debian/control ===
Source: dde-wloutput-daemon
Section: devel
Priority: optional
Maintainer: guonafu <guonafu@uniontech.com>
Build-Depends:
 debhelper (>= 11),
 libdwayland-dev,
 pkg-config,
 cmake,
 qtbase5-dev,
 extra-cmake-modules,
 libdtkcore-dev,
 libdtkgui-dev
Standards-Version: 4.1.3
Homepage: http://www.deepin.org/

Package: dde-wloutput-daemon
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: this is dde-wloutput-daemom
 for wayland

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

export QT_SELECT=5

%:
	dh $@
